Bug 1467060 - dnf-utils conflicts with yum-utils < 1.1.31-513, but no new yum-utils available.
dnf-utils conflicts with yum-utils < 1.1.31-513, but no new yum-utils available.
Status: NEW
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
27
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 06:55 EDT by Anton Guda
Modified: 2017-11-14 17:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Guda 2017-07-02 06:55:36 EDT
Description of problem:
dnf-plugins-core have a dnf-utils component, which, in turn,
conflicts with yum-utils < 1.1.31-513. The last yum-utils
available is yum-utils-1.1.31-512.fc26, and required by
pungi (fc27), revisor (fc24).

Version-Release number of selected component (if applicable):
dnf-plugins-core-2.1.2-2.fc27.noarch

How reproducible:
Always

Steps to Reproduce:
1. Try to update dnf-plugins-core on system with yum-utils.

Actual results:
error: Failed dependencies:
  yum-utils < 1.1.31-513 conflicts with dnf-utils-2.1.2-2.fc27.noarch

Expected results:
No conflict.
Or provide way to run pungi w/o yum-utils.
Comment 1 Igor Gnatenko 2017-07-02 09:27:11 EDT
It's yum-utils who should make an update with renamed utils with -deprecated suffix.
Comment 2 Anton Guda 2017-08-07 02:18:17 EDT
yum-utils was updated during mass rebuild,
but the conflict is moved to files area.
If dnf-utils cover all tasks from yum-utils,
is may be usefull to add "Prodides" and "Obsoletes" tags.
Comment 3 Jan Kurik 2017-08-15 02:57:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 4 Daniel Moerner 2017-11-14 17:29:40 EST
Hi, this bug affects machines running Fedora 25 trying to upgrade to Fedora 26. Given that we are likely to see some such updates and legacy systems may have yum-utils and dnf-utils both installed, it would be really nice to have a courtesy rebuild of yum-utils in Fedora 26.

From a fresh Fedora 26 install:

[user@fedora-26-minimal ~]$ sudo dnf install dnf-utils yum-utils
Last metadata expiration check: 1:15:10 ago on Tue 14 Nov 2017 04:13:29 PM EST.
Error: 
 Problem: conflicting requests
  - package dnf-utils-2.1.5-1.fc26.noarch conflicts with yum-utils < 1.1.31-513 provided by yum-utils-1.1.31-512.fc26.noarch
  - package dnf-utils-2.1.1-1.fc26.noarch conflicts with yum-utils < 1.1.31-513 provided by yum-utils-1.1.31-512.fc26.noarch
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)

Note You need to log in before you can comment on or make changes to this bug.